oracle.adf.view.rich.component.rich.input

## Class RichInputListOfValues

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXValue
        - - org.apache.myfaces.trinidad.component.UIXEditableValue
          - - org.apache.myfaces.trinidad.component.UIXInput
            - - oracle.adf.view.rich.component.PartialUIXInputPopup
              - - oracle.adf.view.rich.component.UIXInputPopup
                - - oracle.adf.view.rich.component.rich.input.RichInputListOfValues

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class RichInputListOfValues
      extends UIXInputPopup
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The inputListOfValues component allows users to select from a large list of values to help populate the LOV field (and possibly other fields) on a page. This component is used in situations where the list of values to display is too large.

  In addition to rendering an inputText component, the inputListOfValues also renders a "Search" icon. Clicking the icon lauches a "Search and Select" dialog that enables the user to find an option that goes into the LOV field on the base page.

  Note: When the value is selected from search and select dialog, the value gets pushed to the model irrespective of the autoSubmit property on the component.

  ## Data Exchange Mechanism

  The mechanism to exchange data between a base page and the popup dialog should be handled through the model (or managed bean). Developers need to implement following three listeners to successfully complete the data exchange.

  - launchPopupListener: Called in response to a "LaunchPopupEvent", this listener can be used to access any data, from fields in the base page, that is required by the model (or managed bean). The data on the base page is typically used
    - to determine if the "Search and Select" dialog needs to be launched
    - to enable fields in the dialog to bind to
    - to filter the list of data that is shown in the dialog
  - returnPopupDataListener: Called in response to the "ReturnPopupDataEvent", The event is queued when the user selects a value from search and select dialog.
  - returnPopupListener: Called in response to the "ReturnPopupEvent", this listener can be used to retrieve the returned values from ReturnPopupEvent and update base fields (among other things).

  ## Geometry Management

  - This component cannot be stretched by a parent layout component.
  - This component does not display any children so there are no child stretching capabilities.

  ### Events:

  Type | Phases | Description
  --- | --- | ---
  `oracle.adf.view.rich.event.LaunchPopupEvent` | Invoke Application | LaunchPopupEvent is delivered when a user's action on an input component results in the launching of a popup dialog. For example, clicking the search icon on the inputListOfValues component or the "Search..." entry at the bottom of the drop down panel of the inputComboboxListOfValues component or tabbing-out of either of the above components with a non null value set, and autoSumit set to "true" will result in the queueing and broadcasting of LaunchPopupEvent on the input*ListOfValues component.
  `oracle.adf.view.rich.event.ReturnPopupDataEvent` | Invoke Application Apply Request Values | Deprecated, will be removed in the future release
  `oracle.adf.view.rich.event.ReturnPopupEvent` | Invoke Application | The ReturnPopupEvent is delivered after the the popup/dialog data is packaged and returned.
  `javax.faces.event.ValueChangeEvent` | Process Validations Apply Request Values | The valueChange event is delivered when the value attribute is changed.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `org.apache.myfaces.trinidad.component.UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `ACCESS_KEY_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `AUTO_COMPLETE_KEY`
    `static String` | `AUTO_COMPLETE_OFF`
    `static String` | `AUTO_COMPLETE_ON`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `AUTO_SUBMIT_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `AUTO_TAB_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CHANGED_DESC_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CHANGED_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CHARACTER_COUNT_BY_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_ATTRIBUTES_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_COMPONENT_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_LISTENERS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `COLUMNS_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CONTENT_STYLE_KEY`
    `static String` | `CONTEXT_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CUSTOMIZATION_ID_KEY` Deprecated.
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DISABLED_KEY`
    `static String` | `EDITABLE_ALWAYS`
    `static String` | `EDITABLE_INHERIT`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `EDITABLE_KEY`
    `static String` | `EDITABLE_ON_ACCESS`
    `static String` | `HELP_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `HELP_TOPIC_ID_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `INLINE_STYLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `LABEL_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `LABEL_STYLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `MAXIMUM_LENGTH_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `PLACEHOLDER_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `POPUP_TITLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `READ_ONLY_KEY`
    `static String` | `RESULTS_TABLE_FACET`
    `static String` | `SEARCH_CONTENT_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SEARCH_DESC_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SHORT_DESC_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SHOW_REQUIRED_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SIMPLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `STYLE_CLASS_KEY`
    `static org.apache.myfaces.trinidad.bean.FacesBean.Type` | `TYPE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `UNSECURE_KEY`
    `static String` | `USAGE_AUTO`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `USAGE_KEY`
    `static String` | `USAGE_SEARCH`
    `static String` | `USAGE_TEXT`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `VISIBLE_KEY`

    - ### Fields inherited from class oracle.adf.view.rich.component.PartialUIXInputPopup

      `CREATE_POPUP_ID_KEY, EDIT_MODE_INPUT, EDIT_MODE_KEY, EDIT_MODE_SELECT, LAUNCH_POPUP_LISTENER_KEY, MODEL_KEY, RESULTS_TABLE_COLUMN_STRETCHING_BLANK, RESULTS_TABLE_COLUMN_STRETCHING_KEY, RESULTS_TABLE_COLUMN_STRETCHING_LAST, RESULTS_TABLE_COLUMN_STRETCHING_NONE, RETURN_POPUP_DATA_LISTENER_KEY, RETURN_POPUP_DATA_VALUE_KEY, RETURN_POPUP_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `CONVERSION_MESSAGE_ID, IMMEDIATE_KEY, LOCAL_VALUE_SET_KEY, PROTECTION_KEY_KEY, REQUIRED_KEY, REQUIRED_MESSAGE_DETAIL_KEY, REQUIRED_MESSAGE_ID, SUBMITTED_VALUE_KEY, TOKENIZE_MAP_KEY, TRINIDAD_BEAN_VALIDATION_AVAILABLE, TRINIDAD_EMPTY_VALUES_AS_NULL_PARAM_NAME, VALID_KEY, VALIDATE_EMPTY_FIELDS_PARAM_NAME, VALIDATOR_KEY, VALIDATORS_KEY, VALUE_CHANGE_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `CONVERTER_KEY, VALUE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RichInputListOfValues()` Construct an instance of the RichInputListOfValues.
    `protected` | `RichInputListOfValues(String rendererType)` Construct an instance of the RichInputListOfValues with the specified renderer type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `char` | `getAccessKey()` Gets
    `String` | `getAutoComplete()` Gets whether previous values of text fields in the form should be remembered and offered for auto completion.
    `protected org.apache.myfaces.trinidad.bean.FacesBean.Type` | `getBeanType()`
    `String` | `getChangedDesc()` Gets the text commonly used by user agents to display tooltip text on the changed indicator icon.
    `String` | `getCharacterCountBy()` Gets the method to count surrogate pair characters.
    `Set` | `getClientAttributes()` Gets a set of client attribute names.
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()`
    `ClientListenerSet` | `getClientListeners()` Gets a set of client listeners.
    `int` | `getColumns()` Gets the size of the text control specified by the number of characters shown.
    `String` | `getContentStyle()` Gets the style of the content piece of the component.
    `javax.faces.component.UIComponent` | `getContext()` Location for contextual information.
    `String` | `getCustomizationId()` Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
    `String` | `getDefaultEventName()`
    `String` | `getEditable()` Gets the editable look and feel to use for input components.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `javax.faces.component.UIComponent` | `getHelp()` This facet is deprecated, helpTopicId should be used for providing help.
    `String` | `getHelpTopicId()` Gets the id used to look up a topic in a helpProvider.
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `String` | `getLabel()` Gets the label of the component.
    `String` | `getLabelStyle()` Gets the CSS styles to use for the label of this component.
    `int` | `getMaximumLength()` Gets the maximum number of characters per line that can be entered into the text control.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getPlaceholder()` Gets Text to be displayed in the input component when a value is not present.
    `String` | `getPopupTitle()` Gets the title of the Search and Select popup dialog.
    `javax.faces.component.UIComponent` | `getResultsTable()` Table component to be used in the Search and Select dialog.
    `javax.faces.component.UIComponent` | `getSearchContent()` Content in the Search and Select popup dialog.
    `String` | `getSearchDesc()` Gets used to override the search description.
    `String` | `getShortDesc()` Gets the short description of the component.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `Set<String>` | `getUnsecure()` Gets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client.
    `String` | `getUsage()` Gets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc).
    `boolean` | `isAutoSubmit()` Gets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.).
    `boolean` | `isAutoTab()` Gets an attribute which if set to TRUE, tells the component to automatically tab to the next focusable, when the maxlength for the current component has been reached.
    `boolean` | `isChanged()` Gets an attribute which if set to true, the changed indicator icon will be displayed on the component.
    `boolean` | `isClientComponent()` Gets whether a client-side component will be generated.
    `boolean` | `isDisabled()` Gets whether the element is disabled.
    `boolean` | `isReadOnly()` Gets whether the control is displayed as an editable field or as an output-style text control.
    `boolean` | `isShowRequired()` Gets whether the associated control displays a visual indication of required user input.
    `boolean` | `isSimple()` Gets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives.
    `boolean` | `isVisible()` Gets the visibility of the component.
    `void` | `setAccessKey(char accessKey)` Sets
    `void` | `setAutoComplete(String autoComplete)` Sets whether previous values of text fields in the form should be remembered and offered for auto completion.
    `void` | `setAutoSubmit(boolean autoSubmit)` Sets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.).
    `void` | `setAutoTab(boolean autoTab)` Sets an attribute which if set to TRUE, tells the component to automatically tab to the next focusable, when the maxlength for the current component has been reached.
    `void` | `setChanged(boolean changed)` Sets an attribute which if set to true, the changed indicator icon will be displayed on the component.
    `void` | `setChangedDesc(String changedDesc)` Sets the text commonly used by user agents to display tooltip text on the changed indicator icon.
    `void` | `setCharacterCountBy(String characterCountBy)` Sets the method to count surrogate pair characters.
    `void` | `setClientAttributes(Set clientAttributes)` Sets a set of client attribute names.
    `void` | `setClientComponent(boolean clientComponent)` Sets whether a client-side component will be generated.
    `void` | `setClientListeners(ClientListenerSet clientListeners)` Sets a set of client listeners.
    `void` | `setColumns(int columns)` Sets the size of the text control specified by the number of characters shown.
    `void` | `setContentStyle(String contentStyle)` Sets the style of the content piece of the component.
    `void` | `setContext(javax.faces.component.UIComponent contextFacet)` Location for contextual information.
    `void` | `setCustomizationId(String customizationId)` Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
    `void` | `setDisabled(boolean disabled)` Sets whether the element is disabled.
    `void` | `setEditable(String editable)` Sets the editable look and feel to use for input components.
    `void` | `setHelp(javax.faces.component.UIComponent helpFacet)` This facet is deprecated, helpTopicId should be used for providing help.
    `void` | `setHelpTopicId(String helpTopicId)` Sets the id used to look up a topic in a helpProvider.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setLabel(String label)` Sets the label of the component.
    `void` | `setLabelStyle(String labelStyle)` Sets the CSS styles to use for the label of this component.
    `void` | `setMaximumLength(int maximumLength)` Sets the maximum number of characters per line that can be entered into the text control.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setPlaceholder(String placeholder)` Sets Text to be displayed in the input component when a value is not present.
    `void` | `setPopupTitle(String popupTitle)` Sets the title of the Search and Select popup dialog.
    `void` | `setReadOnly(boolean readOnly)` Sets whether the control is displayed as an editable field or as an output-style text control.
    `void` | `setResultsTable(javax.faces.component.UIComponent resultsTableFacet)` Table component to be used in the Search and Select dialog.
    `void` | `setSearchContent(javax.faces.component.UIComponent searchContentFacet)` Content in the Search and Select popup dialog.
    `void` | `setSearchDesc(String searchDesc)` Sets used to override the search description.
    `void` | `setShortDesc(String shortDesc)` Sets the short description of the component.
    `void` | `setShowRequired(boolean showRequired)` Sets whether the associated control displays a visual indication of required user input.
    `void` | `setSimple(boolean simple)` Sets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setUnsecure(Set<String> unsecure)` Sets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client.
    `void` | `setUsage(String usage)` Sets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc).
    `void` | `setVisible(boolean visible)` Sets the visibility of the component.

    - ### Methods inherited from class oracle.adf.view.rich.component.UIXInputPopup

      `broadcast, decode, decodeChildrenImpl, encodeBegin, invokeOnComponent, queueEvent, satisfiesPartialTrigger, setLaunchPopupListener, setReturnPopupDataListener, setReturnPopupListener, validateValue`

    - ### Methods inherited from class oracle.adf.view.rich.component.PartialUIXInputPopup

      `addLaunchPopupListener, addReturnPopupDataListener, addReturnPopupListener, getCreatePopupId, getEditMode, getLaunchPopupListener, getLaunchPopupListeners, getModel, getResultsTableColumnStretching, getReturnPopupDataListener, getReturnPopupDataListeners, getReturnPopupDataValue, getReturnPopupListener, getReturnPopupListeners, removeLaunchPopupListener, removeReturnPopupDataListener, removeReturnPopupListener, setCreatePopupId, setEditMode, setLaunchPopupListener, setModel, setResultsTableColumnStretching, setReturnPopupDataListener, setReturnPopupDataValue, setReturnPopupListener`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `addValidator, addValueChangeListener, addValueUpdatedListener, compareValues, getConvertedValue, getProtectionKey, getRequiredMessageDetail, getRequiredMessageKey, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, removeValueUpdatedListener, resetValue, setImmediate, setLocalValueSet, setProtectionKey, setRequired, setRequiredMessageDetail, setSubmittedValue, setValid, setValidator, setValueChangeListener, shouldInterpretEmptyStringSubmittedValuesAsNull, shouldValidateEmptyFields, updateModel, validate`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `getConverter, getLocalValue, getValue, setConverter, setValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decodeChildren, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter, setValue`

- - ### Field Detail

    - #### EDITABLE_INHERIT

          public static final String EDITABLE_INHERIT

      See Also:
        Constant Field Values

    - #### EDITABLE_ALWAYS

          public static final String EDITABLE_ALWAYS

      See Also:
        Constant Field Values

    - #### EDITABLE_ON_ACCESS

          public static final String EDITABLE_ON_ACCESS

      See Also:
        Constant Field Values

    - #### USAGE_AUTO

          public static final String USAGE_AUTO

      See Also:
        Constant Field Values

    - #### USAGE_TEXT

          public static final String USAGE_TEXT

      See Also:
        Constant Field Values

    - #### USAGE_SEARCH

          public static final String USAGE_SEARCH

      See Also:
        Constant Field Values

    - #### AUTO_COMPLETE_ON

          public static final String AUTO_COMPLETE_ON

      See Also:
        Constant Field Values

    - #### AUTO_COMPLETE_OFF

          public static final String AUTO_COMPLETE_OFF

      See Also:
        Constant Field Values

    - #### TYPE

          public static final org.apache.myfaces.trinidad.bean.FacesBean.Type TYPE

    - #### INLINE_STYLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SHORT_DESC_KEY

    - #### UNSECURE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey UNSECURE_KEY

    - #### VISIBLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey VISIBLE_KEY

    - #### CUSTOMIZATION_ID_KEY

          @Deprecated
          public static final org.apache.myfaces.trinidad.bean.PropertyKey CUSTOMIZATION_ID_KEY

      Deprecated.

    - #### CLIENT_COMPONENT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_COMPONENT_KEY

    - #### CLIENT_ATTRIBUTES_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_ATTRIBUTES_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey PARTIAL_TRIGGERS_KEY

    - #### CLIENT_LISTENERS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_LISTENERS_KEY

    - #### CHANGED_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CHANGED_KEY

    - #### CHANGED_DESC_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CHANGED_DESC_KEY

    - #### AUTO_SUBMIT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey AUTO_SUBMIT_KEY

    - #### ACCESS_KEY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey ACCESS_KEY_KEY

    - #### CONTENT_STYLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CONTENT_STYLE_KEY

    - #### HELP_TOPIC_ID_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey HELP_TOPIC_ID_KEY

    - #### DISABLED_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DISABLED_KEY

    - #### LABEL_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey LABEL_KEY

    - #### LABEL_STYLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey LABEL_STYLE_KEY

    - #### READ_ONLY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey READ_ONLY_KEY

    - #### SHOW_REQUIRED_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SHOW_REQUIRED_KEY

    - #### SIMPLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SIMPLE_KEY

    - #### EDITABLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey EDITABLE_KEY

    - #### PLACEHOLDER_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey PLACEHOLDER_KEY

    - #### USAGE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey USAGE_KEY

    - #### AUTO_TAB_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey AUTO_TAB_KEY

    - #### AUTO_COMPLETE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey AUTO_COMPLETE_KEY

    - #### COLUMNS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey COLUMNS_KEY

    - #### MAXIMUM_LENGTH_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey MAXIMUM_LENGTH_KEY

    - #### CHARACTER_COUNT_BY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CHARACTER_COUNT_BY_KEY

    - #### POPUP_TITLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey POPUP_TITLE_KEY

    - #### SEARCH_DESC_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SEARCH_DESC_KEY

    - #### CONTEXT_FACET

          public static final String CONTEXT_FACET

      See Also:
        Constant Field Values

    - #### HELP_FACET

          public static final String HELP_FACET

      See Also:
        Constant Field Values

    - #### SEARCH_CONTENT_FACET

          public static final String SEARCH_CONTENT_FACET

      See Also:
        Constant Field Values

    - #### RESULTS_TABLE_FACET

          public static final String RESULTS_TABLE_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RichInputListOfValues

          public RichInputListOfValues()

      Construct an instance of the RichInputListOfValues.

    - #### RichInputListOfValues

          protected RichInputListOfValues(String rendererType)

      Construct an instance of the RichInputListOfValues with the specified renderer type.
      Parameters:
        `rendererType` - the renderer type Construct an instance of the RichInputListOfValues.

  - ### Method Detail

    - #### getContext

          public final javax.faces.component.UIComponent getContext()

      Location for contextual information. A contextInfo component is expected.
      Returns:
        the context facet

    - #### setContext

          public final void setContext(javax.faces.component.UIComponent contextFacet)

      Location for contextual information. A contextInfo component is expected.
      Parameters:
        `contextFacet` - the new context facet

    - #### getHelp

          public final javax.faces.component.UIComponent getHelp()

      This facet is deprecated, helpTopicId should be used for providing help. This is a no-op for form components.
      Returns:
        the help facet

    - #### setHelp

          public final void setHelp(javax.faces.component.UIComponent helpFacet)

      This facet is deprecated, helpTopicId should be used for providing help. This is a no-op for form components.
      Parameters:
        `helpFacet` - the new help facet

    - #### getSearchContent

          public final javax.faces.component.UIComponent getSearchContent()

      Content in the Search and Select popup dialog.
      Returns:
        the searchContent facet

    - #### setSearchContent

          public final void setSearchContent(javax.faces.component.UIComponent searchContentFacet)

      Content in the Search and Select popup dialog.
      Parameters:
        `searchContentFacet` - the new searchContent facet

    - #### getResultsTable

          public final javax.faces.component.UIComponent getResultsTable()

      Table component to be used in the Search and Select dialog. Supports sub classes of RichTable. Table columns should not be configured as they are auto generated by LOV. Only one of 'searchContent' or 'resultsTable' facet can be configured.
      Returns:
        the resultsTable facet

    - #### setResultsTable

          public final void setResultsTable(javax.faces.component.UIComponent resultsTableFacet)

      Table component to be used in the Search and Select dialog. Supports sub classes of RichTable. Table columns should not be configured as they are auto generated by LOV. Only one of 'searchContent' or 'resultsTable' facet can be configured.
      Parameters:
        `resultsTableFacet` - the new resultsTable facet

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component. This is intended for basic style changes. The inlineStyle is a set of CSS styles that are applied to the root DOM element of the component. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute. If the inlineStyle's CSS properties do not affect the DOM element you want affected, then you will have to create a skin and use the skinning keys which are meant to target particular DOM elements, like ::label or ::icon-style.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component. This is intended for basic style changes. The inlineStyle is a set of CSS styles that are applied to the root DOM element of the component. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute. If the inlineStyle's CSS properties do not affect the DOM element you want affected, then you will have to create a skin and use the skinning keys which are meant to target particular DOM elements, like ::label or ::icon-style.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component. The style class can be defined in your jspx page or in a skinning CSS file, for example, or you can use one of our public style classes, like 'AFInstructionText'.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component. The style class can be defined in your jspx page or in a skinning CSS file, for example, or you can use one of our public style classes, like 'AFInstructionText'.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets the short description of the component. The shortDesc text may be used in two different ways, depending on the component.

      For components with images, the shortDesc is often used to render an HTML alt attribute for the image. Please see the accessibility guidelines section for correct alt text usage of the shortDesc attribute.

      shortDesc is also commonly used to render an HTML title attribute, which is used by user agents to display tooltip help text. In this case the behavior for the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips. For form components, the shortDesc is displayed in a note window. For components that support the helpTopicId attribute and are not using the shortDesc as image alt text, it is recommended that helpTopicId is used instead of shortDesc as it is more flexible and provides more accessible descriptive text than the use of the title attribute.

      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets the short description of the component. The shortDesc text may be used in two different ways, depending on the component.

      For components with images, the shortDesc is often used to render an HTML alt attribute for the image. Please see the accessibility guidelines section for correct alt text usage of the shortDesc attribute.

      shortDesc is also commonly used to render an HTML title attribute, which is used by user agents to display tooltip help text. In this case the behavior for the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips. For form components, the shortDesc is displayed in a note window. For components that support the helpTopicId attribute and are not using the shortDesc as image alt text, it is recommended that helpTopicId is used instead of shortDesc as it is more flexible and provides more accessible descriptive text than the use of the title attribute.

      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getUnsecure

          public final Set<String> getUnsecure()

      Gets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client. Currently, this is supported only for the "disabled" attribute. Note that when you are able to set a property on the client, you will be allowed to by using the the .setProperty('attribute', newValue) method, but not the .setXXXAttribute(newValue) method. For example, if you have unsecure="disabled", then on the client you can use the method .setProperty('disabled', false), while the method .setDisabled(false) will not work and will provide a javascript error that setDisabled is not a function.
      Returns:
        the new unsecure value

    - #### setUnsecure

          public final void setUnsecure(Set<String> unsecure)

      Sets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client. Currently, this is supported only for the "disabled" attribute. Note that when you are able to set a property on the client, you will be allowed to by using the the .setProperty('attribute', newValue) method, but not the .setXXXAttribute(newValue) method. For example, if you have unsecure="disabled", then on the client you can use the method .setProperty('disabled', false), while the method .setDisabled(false) will not work and will provide a javascript error that setDisabled is not a function.
      Parameters:
        `unsecure` - the new unsecure value

    - #### isVisible

          public final boolean isVisible()

      Gets the visibility of the component. If it is "false", the component will be hidden on the client. Unlike "rendered", this does not affect the lifecycle on the server - the component may have its bindings executed, etc. - and the visibility of the component can be toggled on and off on the client, or toggled with PPR. When "rendered" is false, the component will not in any way be rendered, and cannot be made visible on the client. In most cases, use the "rendered" property instead of the "visible" property.
      Returns:
        the new visible value

    - #### setVisible

          public final void setVisible(boolean visible)

      Sets the visibility of the component. If it is "false", the component will be hidden on the client. Unlike "rendered", this does not affect the lifecycle on the server - the component may have its bindings executed, etc. - and the visibility of the component can be toggled on and off on the client, or toggled with PPR. When "rendered" is false, the component will not in any way be rendered, and cannot be made visible on the client. In most cases, use the "rendered" property instead of the "visible" property.
      Parameters:
        `visible` - the new visible value

    - #### getCustomizationId

          @Deprecated
          public final String getCustomizationId()

      Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
      Gets This attribute is deprecated. The 'id' attribute should be used when applying persistent customizations. This attribute will be removed in the next release.
      Returns:
        the new customizationId value

    - #### setCustomizationId

          @Deprecated
          public final void setCustomizationId(String customizationId)

      Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
      Sets This attribute is deprecated. The 'id' attribute should be used when applying persistent customizations. This attribute will be removed in the next release.
      Parameters:
        `customizationId` - the new customizationId value

    - #### isClientComponent

          public final boolean isClientComponent()

      Gets whether a client-side component will be generated. A component may be generated whether or not this flag is set, but if client Javascript requires the component object, this must be set to true to guarantee the component's presence. Client component objects that are generated today by default may not be present in the future; setting this flag is the only way to guarantee a component's presence, and clients cannot rely on implicit behavior. However, there is a performance cost to setting this flag, so clients should avoid turning on client components unless absolutely necessary. For the components outputText and outputFormatted, setting the clientComponent to true will render id attribute for the html DOM. This ID attribute can alternatively be generated by setting oracle.adf.view.rich.SUPPRESS_IDS to "auto" in web.xml.
      Returns:
        the new clientComponent value

    - #### setClientComponent

          public final void setClientComponent(boolean clientComponent)

      Sets whether a client-side component will be generated. A component may be generated whether or not this flag is set, but if client Javascript requires the component object, this must be set to true to guarantee the component's presence. Client component objects that are generated today by default may not be present in the future; setting this flag is the only way to guarantee a component's presence, and clients cannot rely on implicit behavior. However, there is a performance cost to setting this flag, so clients should avoid turning on client components unless absolutely necessary. For the components outputText and outputFormatted, setting the clientComponent to true will render id attribute for the html DOM. This ID attribute can alternatively be generated by setting oracle.adf.view.rich.SUPPRESS_IDS to "auto" in web.xml.
      Parameters:
        `clientComponent` - the new clientComponent value

    - #### getClientAttributes

          public final Set getClientAttributes()

      Gets a set of client attribute names.
      Returns:
        the new clientAttributes value

    - #### setClientAttributes

          public final void setClientAttributes(Set clientAttributes)

      Sets a set of client attribute names.
      Parameters:
        `clientAttributes` - the new clientAttributes value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getClientListeners

          public final ClientListenerSet getClientListeners()

      Gets a set of client listeners.
      Returns:
        the new clientListeners value

    - #### setClientListeners

          public final void setClientListeners(ClientListenerSet clientListeners)

      Sets a set of client listeners.
      Parameters:
        `clientListeners` - the new clientListeners value

    - #### isChanged

          public final boolean isChanged()

      Gets an attribute which if set to true, the changed indicator icon will be displayed on the component.
      Returns:
        the new changed value

    - #### setChanged

          public final void setChanged(boolean changed)

      Sets an attribute which if set to true, the changed indicator icon will be displayed on the component.
      Parameters:
        `changed` - the new changed value

    - #### getChangedDesc

          public final String getChangedDesc()

      Gets the text commonly used by user agents to display tooltip text on the changed indicator icon. Default value is "Changed". The behavior of the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips.
      Returns:
        the new changedDesc value

    - #### setChangedDesc

          public final void setChangedDesc(String changedDesc)

      Sets the text commonly used by user agents to display tooltip text on the changed indicator icon. Default value is "Changed". The behavior of the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips.
      Parameters:
        `changedDesc` - the new changedDesc value

    - #### isAutoSubmit

          public final boolean isAutoSubmit()

      Gets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.). Since autoSubmit is a partial submit, also submitted and re-rendered are any other components with partialTriggers pointing to this component.
      Returns:
        the new autoSubmit value

    - #### setAutoSubmit

          public final void setAutoSubmit(boolean autoSubmit)

      Sets an attribute which if set to TRUE on a form element, the component will automatically submit when an appropriate action takes place (a click, text change, etc.). Since autoSubmit is a partial submit, also submitted and re-rendered are any other components with partialTriggers pointing to this component.
      Parameters:
        `autoSubmit` - the new autoSubmit value

    - #### getAccessKey

          public final char getAccessKey()

      Gets

      a character used to gain quick access to the form element specified by the `for`, if set (or this component itself, if it is a "non-simple" form element). If the same access key appears in multiple locations in the same page of output, the rendering user agent will cycle among the elements accessed by the similar keys.

      This attribute is sometimes referred to as the "mnemonic".

      Note that the accessKey is triggered by browser-specific and platform-specific modifier keys. It even has browser-specific meaning. For example, Internet Explorer will set focus when you press Alt+<accessKey>. Firefox sets focus on some operating systems when you press Alt+Shift+<accessKey>. Firefox on other operating systems sets focus when you press Control+<accessKey>. Refer to your browser's documentation for how it treats access keys.

      Returns:
        the new accessKey value

    - #### setAccessKey

          public final void setAccessKey(char accessKey)

      Sets

      a character used to gain quick access to the form element specified by the `for`, if set (or this component itself, if it is a "non-simple" form element). If the same access key appears in multiple locations in the same page of output, the rendering user agent will cycle among the elements accessed by the similar keys.

      This attribute is sometimes referred to as the "mnemonic".

      Note that the accessKey is triggered by browser-specific and platform-specific modifier keys. It even has browser-specific meaning. For example, Internet Explorer will set focus when you press Alt+<accessKey>. Firefox sets focus on some operating systems when you press Alt+Shift+<accessKey>. Firefox on other operating systems sets focus when you press Control+<accessKey>. Refer to your browser's documentation for how it treats access keys.

      Parameters:
        `accessKey` - the new accessKey value

    - #### getContentStyle

          public final String getContentStyle()

      Gets the style of the content piece of the component. You can style width by setting this attribute like this: width: 100px. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute.
      Returns:
        the new contentStyle value

    - #### setContentStyle

          public final void setContentStyle(String contentStyle)

      Sets the style of the content piece of the component. You can style width by setting this attribute like this: width: 100px. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute.
      Parameters:
        `contentStyle` - the new contentStyle value

    - #### getHelpTopicId

          public final String getHelpTopicId()

      Gets the id used to look up a topic in a helpProvider.
      Returns:
        the new helpTopicId value

    - #### setHelpTopicId

          public final void setHelpTopicId(String helpTopicId)

      Sets the id used to look up a topic in a helpProvider.
      Parameters:
        `helpTopicId` - the new helpTopicId value

    - #### isDisabled

          public final boolean isDisabled()

      Gets whether the element is disabled. Unlike a readonly component, a disabled component is unable to receive focus. If the component has the potential to have a scrollbar, and you want the user to be able to scroll through the component's text or values, use the 'readOnly' attribute, not the 'disabled' attribute.
      Returns:
        the new disabled value

    - #### setDisabled

          public final void setDisabled(boolean disabled)

      Sets whether the element is disabled. Unlike a readonly component, a disabled component is unable to receive focus. If the component has the potential to have a scrollbar, and you want the user to be able to scroll through the component's text or values, use the 'readOnly' attribute, not the 'disabled' attribute.
      Parameters:
        `disabled` - the new disabled value

    - #### getLabel

          public final String getLabel()

      Gets the label of the component. If you want the label to appear above the control, use a panelFormLayout.
      Returns:
        the new label value

    - #### setLabel

          public final void setLabel(String label)

      Sets the label of the component. If you want the label to appear above the control, use a panelFormLayout.
      Parameters:
        `label` - the new label value

    - #### getLabelStyle

          public final String getLabelStyle()

      Gets the CSS styles to use for the label of this component. The labelStyle is a set of CSS styles that are applied to the label DOM element of the component. This allows a label to be styled without requiring a new skin definition.
      Returns:
        the new labelStyle value

    - #### setLabelStyle

          public final void setLabelStyle(String labelStyle)

      Sets the CSS styles to use for the label of this component. The labelStyle is a set of CSS styles that are applied to the label DOM element of the component. This allows a label to be styled without requiring a new skin definition.
      Parameters:
        `labelStyle` - the new labelStyle value

    - #### isReadOnly

          public final boolean isReadOnly()

      Gets whether the control is displayed as an editable field or as an output-style text control. Unlike a disabled component, a readonly component is able to receive focus.
      Returns:
        the new readOnly value

    - #### setReadOnly

          public final void setReadOnly(boolean readOnly)

      Sets whether the control is displayed as an editable field or as an output-style text control. Unlike a disabled component, a readonly component is able to receive focus.
      Parameters:
        `readOnly` - the new readOnly value

    - #### isShowRequired

          public final boolean isShowRequired()

      Gets whether the associated control displays a visual indication of required user input. If a "required" attribute is also present, both the "required" attribute and the "showRequired" attribute must be false for the visual indication not to be displayed. An example of when it can be desirable to use the showRequired property is if you have a field that is initially empty and is required only if some other field on the page is touched.
      Returns:
        the new showRequired value

    - #### setShowRequired

          public final void setShowRequired(boolean showRequired)

      Sets whether the associated control displays a visual indication of required user input. If a "required" attribute is also present, both the "required" attribute and the "showRequired" attribute must be false for the visual indication not to be displayed. An example of when it can be desirable to use the showRequired property is if you have a field that is initially empty and is required only if some other field on the page is touched.
      Parameters:
        `showRequired` - the new showRequired value

    - #### isSimple

          public final boolean isSimple()

      Gets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives. One of the usecases can be when the component is used in repeatable elements like in table, for-each etc., where label is not required.
      Returns:
        the new simple value

    - #### setSimple

          public final void setSimple(boolean simple)

      Sets a boolean value that controls whether the component provides label support; when set to "true", the component will not display the label (these may be ignored: label, labelAndAccessKey, accessKey, showRequired, help facet) and may use simpler layout primitives. One of the usecases can be when the component is used in repeatable elements like in table, for-each etc., where label is not required.
      Parameters:
        `simple` - the new simple value

    - #### getEditable

          public final String getEditable()

      Gets the editable look and feel to use for input components. 'always' indicates that the input component should always look editable. 'onAccess' indicates that the input will only look editable when accessed (hover, focus). 'inherit' indicates that we want to use the component parent's setting. None of the ancestor components define 'always' or 'onAccess', then 'always' will be used.
      Returns:
        the new editable value

    - #### setEditable

          public final void setEditable(String editable)

      Sets the editable look and feel to use for input components. 'always' indicates that the input component should always look editable. 'onAccess' indicates that the input will only look editable when accessed (hover, focus). 'inherit' indicates that we want to use the component parent's setting. None of the ancestor components define 'always' or 'onAccess', then 'always' will be used.
      Parameters:
        `editable` - the new editable value

    - #### getPlaceholder

          public final String getPlaceholder()

      Gets Text to be displayed in the input component when a value is not present.
      Returns:
        the new placeholder value

    - #### setPlaceholder

          public final void setPlaceholder(String placeholder)

      Sets Text to be displayed in the input component when a value is not present.
      Parameters:
        `placeholder` - the new placeholder value

    - #### getUsage

          public final String getUsage()

      Gets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc). Currently, auto will default to text but may in the future conditionally default to some other type. Html types with strict input validation rules (ex: date, number) should be avoided or used with discretion, since they can potentially interfere with the normal functioning of the component and converter.
      Returns:
        the new usage value

    - #### setUsage

          public final void setUsage(String usage)

      Sets The usage attribute will set the type of the input to allow for different html types (such as search, email, tel etc). Currently, auto will default to text but may in the future conditionally default to some other type. Html types with strict input validation rules (ex: date, number) should be avoided or used with discretion, since they can potentially interfere with the normal functioning of the component and converter.
      Parameters:
        `usage` - the new usage value

    - #### isAutoTab

          public final boolean isAutoTab()

      Gets an attribute which if set to TRUE, tells the component to automatically tab to the next focusable, when the maxlength for the current component has been reached.
      Returns:
        the new autoTab value

    - #### setAutoTab

          public final void setAutoTab(boolean autoTab)

      Sets an attribute which if set to TRUE, tells the component to automatically tab to the next focusable, when the maxlength for the current component has been reached.
      Parameters:
        `autoTab` - the new autoTab value

    - #### getAutoComplete

          public final String getAutoComplete()

      Gets whether previous values of text fields in the form should be remembered and offered for auto completion. For browser backward compatibility, "on" and "off" are kept as property values. But it also accepts arbitrary values like on, off, phone-number, billing-address, address-line1, username, etc. which specify how the browser should populate the given form field based on previous user inputs to similar fields.
      Returns:
        the new autoComplete value

    - #### setAutoComplete

          public final void setAutoComplete(String autoComplete)

      Sets whether previous values of text fields in the form should be remembered and offered for auto completion. For browser backward compatibility, "on" and "off" are kept as property values. But it also accepts arbitrary values like on, off, phone-number, billing-address, address-line1, username, etc. which specify how the browser should populate the given form field based on previous user inputs to similar fields.
      Parameters:
        `autoComplete` - the new autoComplete value

    - #### getColumns

          public final int getColumns()

      Gets the size of the text control specified by the number of characters shown. The default value depends on the browser.
      Returns:
        the new columns value

    - #### setColumns

          public final void setColumns(int columns)

      Sets the size of the text control specified by the number of characters shown. The default value depends on the browser.
      Parameters:
        `columns` - the new columns value

    - #### getMaximumLength

          public final int getMaximumLength()

      Gets the maximum number of characters per line that can be entered into the text control.
      Returns:
        the new maximumLength value

    - #### setMaximumLength

          public final void setMaximumLength(int maximumLength)

      Sets the maximum number of characters per line that can be entered into the text control.
      Parameters:
        `maximumLength` - the new maximumLength value

    - #### getCharacterCountBy

          public final String getCharacterCountBy()

      Gets the method to count surrogate pair characters. codeUnit counts surrogate pair characters as 2 logical characters. codePoint counts surrogate pair characters as 1 logical character. This is used for determining if a value exceeds the maximumLength attribute.
      Returns:
        the new characterCountBy value

    - #### setCharacterCountBy

          public final void setCharacterCountBy(String characterCountBy)

      Sets the method to count surrogate pair characters. codeUnit counts surrogate pair characters as 2 logical characters. codePoint counts surrogate pair characters as 1 logical character. This is used for determining if a value exceeds the maximumLength attribute.
      Parameters:
        `characterCountBy` - the new characterCountBy value

    - #### getPopupTitle

          public final String getPopupTitle()

      Gets the title of the Search and Select popup dialog.
      Returns:
        the new popupTitle value

    - #### setPopupTitle

          public final void setPopupTitle(String popupTitle)

      Sets the title of the Search and Select popup dialog.
      Parameters:
        `popupTitle` - the new popupTitle value

    - #### getSearchDesc

          public final String getSearchDesc()

      Gets used to override the search description. The search description appears in the tooltip when user does a mouseover on the Search icon. By default this value will be 'Search: ' followed by the label name. If a searchDesc is specified, that value is used instead.
      Returns:
        the new searchDesc value

    - #### setSearchDesc

          public final void setSearchDesc(String searchDesc)

      Sets used to override the search description. The search description appears in the tooltip when user does a mouseover on the Search icon. By default this value will be 'Search: ' followed by the label name. If a searchDesc is specified, that value is used instead.
      Parameters:
        `searchDesc` - the new searchDesc value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `PartialUIXInputPopup`

    - #### getBeanType

          protected org.apache.myfaces.trinidad.bean.FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXInputPopup`

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.